Skip to main content
PUT
/
api
/
organization
/
{organization_id}
/
storage-setting
Update Storage Settings
curl --request PUT \
  --url https://config.heyhumm.ai/api/organization/{organization_id}/storage-setting \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --data '
{
  "data_storage_mode": "humm_hosted",
  "customer_s3_bucket": "<string>",
  "customer_s3_region": "<string>",
  "customer_aws_access_key_id": "<string>",
  "customer_aws_secret_access_key": "<string>"
}
'
{
  "organization_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
  "data_storage_mode": "humm_hosted",
  "updated_at": "2023-11-07T05:31:56Z",
  "customer_s3_bucket": "<string>",
  "customer_s3_region": "<string>",
  "customer_aws_access_key_id": "<string>",
  "has_customer_aws_secret_access_key": false
}

Documentation Index

Fetch the complete documentation index at: https://heyhumm.ai/docs/llms.txt

Use this file to discover all available pages before exploring further.

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Path Parameters

organization_id
string<uuid>
required

Body

application/json

Model for updating organization data storage configuration.

data_storage_mode
enum<string>
required

Where synced integration data is stored.

Available options:
humm_hosted,
customer_hosted
customer_s3_bucket
string | null
customer_s3_region
string | null
customer_aws_access_key_id
string | null
customer_aws_secret_access_key
string | null

Response

Successful Response

Response model for organization data storage configuration.

organization_id
string<uuid>
required
data_storage_mode
enum<string>
required

Where synced integration data is stored.

Available options:
humm_hosted,
customer_hosted
updated_at
string<date-time>
required
customer_s3_bucket
string | null
customer_s3_region
string | null
customer_aws_access_key_id
string | null
has_customer_aws_secret_access_key
boolean
default:false